This is RandomCanonicalCurves.info, produced by Macaulay2, version 1.21

RandomCanonicalCurves -- Construction of canonical curves of genus less or equal to 14
**************************************************************************************

Description
===========

This package bundles the constructions for random points in the moduli spaces
of curves $M_g$ for $g \leq 14$ based on the proofs of unirationality of $M_g$
by Severi, Sernesi, Chang-Ran and Verra.

Authors
=======

  * Frank-Olaf Schreyer (see http://www.math.uni-sb.de/ag/schreyer/ )
    <schreyer@math.uni-sb.de>
  * Hans-Christian Graf v. Bothmer (see http://www.crcg.de/wiki/User:Bothmer )
    <bothmer@uni-math.gwdg.de>

Version
=======

This documentation describes version 0.6 of RandomCanonicalCurves.

Source code
===========

The source code from which this documentation is derived is in the file
RandomCanonicalCurves.m2 (see common/share/Macaulay2/RandomCanonicalCurves.m2
).

Exports
=======

  * Other things
      * canonicalCurve -- Compute a random canonical
        curve of genus less or equal to 14

For the programmer
==================

The object RandomCanonicalCurves, is a package (Macaulay2Doc).

canonicalCurve -- Compute a random canonical curve of genus less or equal to 14
*******************************************************************************

Synopsis
========

  * Usage:
        I=(random canonicalCurve)(g,S)
  * Inputs:
      * g, an integer (Macaulay2Doc), the genus
      * R, a polynomial ring (Macaulay2Doc), homogeneous
        coordinate ring of $\PP^{ g-1}$
  * Outputs:
      * I, an ideal (Macaulay2Doc), of a canonical curve $C$ of
        genus $g$

Description
===========

Compute a random canonical curve of genus $g \le{} 14$, based on the proofs of
unirationality of $M_g$ by Severi, Sernesi, Chang-Ran and Verra.

+-----------------------------------------------+
|i1 : setRandomSeed "alpha";                    |
+-----------------------------------------------+
|i2 : g=14;                                     |
+-----------------------------------------------+
|i3 : FF=ZZ/10007;                              |
+-----------------------------------------------+
|i4 : R=FF[x_0..x_(g-1)];                       |
+-----------------------------------------------+
|i5 : time betti(I=(random canonicalCurve)(g,R))|
|     -- used 14.001 seconds                    |
|                                               |
|            0  1                               |
|o5 = total: 1 66                               |
|         0: 1  .                               |
|         1: . 66                               |
|                                               |
|o5 : BettiTally                                |
+-----------------------------------------------+
|i6 : genus I == g and degree I ==2*g-2         |
|                                               |
|o6 = true                                      |
+-----------------------------------------------+

For the programmer
==================

The object canonicalCurve, is an instance of the type
RandomObject (RandomObjects).